Package uk.ac.starlink.util

# Interface IOSupplier<T>

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface IOSupplier<T>
Supplier-like interface that allows an IOException to be thrown.

See Also:
  - `Supplier`

## Method Summary

Modifier and Type
Method
Description
`T`
`get()`
Gets a result.

## Method Details

### get

T get() throws IOException
Gets a result.

Returns:
  result
Throws:
  `IOException` - in case of error